using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Tools;

namespace VirtualGrid
{
	/// <summary>
	/// Summary description for UserControl1.
	/// </summary>
	public class UserControl1 : System.Windows.Forms.UserControl
	{
		public GridControl GridControl1
		{
			get { return gridControl1; }
		}
		public GridControl GridControl2
		{
			get { return gridControl2; }
		}
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;

		public TabPageAdv TabPageAdv1
		{
			get { return tabPageAdv1; }
		}

		public TabControlAdv TabControlAdv1
		{
			get { return tabControlAdv1; }
		}

		private Syncfusion.Windows.Forms.Tools.TabControlAdv tabControlAdv1;
		private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPageAdv1;
    private Syncfusion.Windows.Forms.Grid.GridControl gridControl2;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public UserControl1()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
			gridControl1.CellButtonClicked += new GridCellButtonClickedEventHandler(gridControl1_CellButtonClicked);
			gridControl2.CellButtonClicked += new GridCellButtonClickedEventHandler(gridControl1_CellButtonClickedII);
			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				gridControl1.CellButtonClicked -= new GridCellButtonClickedEventHandler(gridControl1_CellButtonClicked);
				gridControl2.CellButtonClicked -= new GridCellButtonClickedEventHandler(gridControl1_CellButtonClickedII);
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.tabControlAdv1 = new Syncfusion.Windows.Forms.Tools.TabControlAdv();
			this.tabPageAdv1 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
			this.gridControl2 = new Syncfusion.Windows.Forms.Grid.GridControl();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.tabControlAdv1)).BeginInit();
			this.tabControlAdv1.SuspendLayout();
			this.tabPageAdv1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridControl2)).BeginInit();
			this.SuspendLayout();
			// 
			// gridControl1
			// 
			this.gridControl1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.gridControl1.ColCount = 55;
			this.gridControl1.Dock = System.Windows.Forms.DockStyle.Top;
			this.gridControl1.HorizontalThumbTrack = true;
			this.gridControl1.Location = new System.Drawing.Point(0, 0);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.RowCount = 100;
			this.gridControl1.Size = new System.Drawing.Size(520, 336);
			this.gridControl1.SmartSizeBox = false;
			this.gridControl1.TabIndex = 2;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.ThemesEnabled = true;
			this.gridControl1.VerticalThumbTrack = true;
			// 
			// tabControlAdv1
			// 
			this.tabControlAdv1.Controls.Add(this.tabPageAdv1);
			this.tabControlAdv1.Dock = System.Windows.Forms.DockStyle.Top;
			this.tabControlAdv1.FocusOnTabClick = false;
			this.tabControlAdv1.Location = new System.Drawing.Point(0, 336);
			this.tabControlAdv1.Name = "tabControlAdv1";
			this.tabControlAdv1.Size = new System.Drawing.Size(520, 120);
			this.tabControlAdv1.TabIndex = 3;
			// 
			// tabPageAdv1
			// 
			this.tabPageAdv1.Controls.Add(this.gridControl2);
			this.tabPageAdv1.Location = new System.Drawing.Point(1, 26);
			this.tabPageAdv1.Name = "tabPageAdv1";
			this.tabPageAdv1.Size = new System.Drawing.Size(517, 92);
			this.tabPageAdv1.TabIndex = 0;
			this.tabPageAdv1.Text = "tabPageAdv1";
			this.tabPageAdv1.ThemesEnabled = false;
			// 
			// gridControl2
			// 
			this.gridControl2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.gridControl2.ColCount = 55;
			this.gridControl2.Dock = System.Windows.Forms.DockStyle.Top;
			this.gridControl2.HorizontalThumbTrack = true;
			this.gridControl2.Location = new System.Drawing.Point(0, 0);
			this.gridControl2.Name = "gridControl2";
			this.gridControl2.RowCount = 100;
			this.gridControl2.Size = new System.Drawing.Size(517, 336);
			this.gridControl2.SmartSizeBox = false;
			this.gridControl2.TabIndex = 3;
			this.gridControl2.Text = "gridControl2";
			this.gridControl2.ThemesEnabled = true;
			this.gridControl2.VerticalThumbTrack = true;
			// 
			// UserControl1
			// 
			this.AutoScroll = true;
			this.Controls.Add(this.tabControlAdv1);
			this.Controls.Add(this.gridControl1);
			this.Name = "UserControl1";
			this.Size = new System.Drawing.Size(520, 456);
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.tabControlAdv1)).EndInit();
			this.tabControlAdv1.ResumeLayout(false);
			this.tabPageAdv1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridControl2)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void gridControl1_CellButtonClicked(object sender, GridCellButtonClickedEventArgs e)
		{
			this.gridControl1.CurrentCell.SetPositionNoActivate(e.RowIndex,e.ColIndex);
		}

		private void gridControl1_CellButtonClickedII(object sender, GridCellButtonClickedEventArgs e)
		{
			this.gridControl2.CurrentCell.SetPositionNoActivate(e.RowIndex,e.ColIndex);
		}
	}
}
